#!/usr/bin/env python

import rospy

from std_srvs.srv import Empty

PARAM_APPLICATION_NAME = "application_name"


PARAM_USER_ID = "param_human_player_id"
PARAM_AI_ID = "param_ai_player_id"


def getApplicationName():
	return rospy.get_param(PARAM_APPLICATION_NAME)


def concatTopicName(topicNameParam):
	application_name  = getApplicationName()

	topic_name = rospy.get_param(topicNameParam)
	topic_name = application_name + "/" + topic_name

	return topic_name

def getUserId():
	return rospy.get_param(PARAM_USER_ID)

def getAiId():
	return rospy.get_param(PARAM_AI_ID)

